@REM ----------------------------------------------------------------------------
@REM Copyright 2001-2004 The Apache Software Foundation.
@REM
@REM Licensed under the Apache License, Version 2.0 (the "License");
@REM you may not use this file except in compliance with the License.
@REM You may obtain a copy of the License at
@REM
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM ----------------------------------------------------------------------------
@REM

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
set BASEDIR=%~dp0\..

:repoSetup


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\lib

set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\slf4j-api-1.6.4.jar;"%REPO%"\logback-classic-1.0.6.jar;"%REPO%"\logback-core-1.0.6.jar;"%REPO%"\jcommander-1.29.jar;"%REPO%"\guice-3.0.jar;"%REPO%"\javax.inject-1.jar;"%REPO%"\aopalliance-1.0.jar;"%REPO%"\rocoto-6.1.jar;"%REPO%"\not-yet-commons-ssl-0.3.11.jar;"%REPO%"\jersey-ahc-client-1.0.4.jar;"%REPO%"\jersey-client-1.14.jar;"%REPO%"\jersey-core-1.14.jar;"%REPO%"\jersey-json-1.14.jar;"%REPO%"\jettison-1.1.jar;"%REPO%"\stax-api-1.0.1.jar;"%REPO%"\jaxb-impl-2.2.3-1.jar;"%REPO%"\jaxb-api-2.2.2.jar;"%REPO%"\stax-api-1.0-2.jar;"%REPO%"\activation-1.1.jar;"%REPO%"\jackson-core-asl-1.9.2.jar;"%REPO%"\jackson-mapper-asl-1.9.2.jar;"%REPO%"\jackson-jaxrs-1.9.2.jar;"%REPO%"\jackson-xc-1.9.2.jar;"%REPO%"\async-http-client-1.7.6.jar;"%REPO%"\netty-3.4.4.Final.jar;"%REPO%"\ftp4j-1.7.2.jar;"%REPO%"\commons-io-2.4.jar;"%REPO%"\commons-codec-1.7.jar;"%REPO%"\dsi-tools-0.2.jar
set EXTRA_JVM_ARGUMENTS=-Dproject.name=DSITools -Dproject.version=0.2 -Xms500m -Xmx500m -XX:PermSize=128m -XX:-UseGCOverheadLimit
goto endInit

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS% %EXTRA_JVM_ARGUMENTS% -classpath %CLASSPATH_PREFIX%;%CLASSPATH% -Dapp.name="dsi-stop-instances" -Dapp.repo="%REPO%" -Dbasedir="%BASEDIR%" com.terradue.dsi.StopInstances %CMD_LINE_ARGS%
if ERRORLEVEL 1 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=1

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@endlocal

:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
